* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}


p {
    font-size: 20px;
    line-height: 150%;
    font-family: 'Barlow', sans-serif;
    font-weight: 500;
    color: #535358;
}
strong {
    color: #34353a;
}

h1,
h2,
h3,
h4,
h5,
h6,
body {
    font-family: 'Barlow', sans-serif;
    font-weight: 500;
    color: rgba(0, 0, 0, 0.4);
    line-height: 130%;
    -webkit-font-smoothing: antialiased;
    -webkit-text-size-adjust: 100%;
}

h1 {
    font-size: 36px;


}

h2 {
    font-size: 28px;


}

h3 {
    font-size: 24px;

}

h4 {
    font-size: 18px;
}

h5 {
    font-size: 14px;
    font-weight: 600;
    font-family: 'JetBrains Mono', sans-serif;
    color: rgba(0, 0, 0, 0.4);
}

h6 {
    font-size: 14px;
    font-weight: 600;
    font-family: 'JetBrains Mono', sans-serif;
    color: rgba(0, 0, 0, 0.4);
}








.spacing-4 {
    flex: none;
    width: 100%;
    height: 4px;
}

.spacing-8 {
    flex: none;
    width: 100%;
    height: 8px;
}

.spacing-16 {
    flex: none;
    width: 100%;
    height: 16px;
}

.spacing-24 {
    flex: none;
    width: 100%;
    height: 24px;
}

.spacing-32 {
    flex: none;
    width: 100%;
    height: 32px;
}

.spacing-48 {
    flex: none;
    width: 100%;
    height: 48px;
}

.spacing-64 {
    flex: none;
    width: 100%;
    height: 64px;
}

.spacing-96 {
    flex: none;
    width: 100%;
    height: 96px;
}

.content-vertical {
    display: flex;
    flex-direction: column;


}

.content-vertical.content-center {
    align-items: center;
}

.content-horizontal {
    display: flex;
    flex-direction: row;
    align-items: flex-start;
    justify-content: flex-start;
    gap: 32px;


}








.column-fixed {
    width: 200px;
    /* 设置第一列的固定宽度，可以根据需要调整 */
}

.column-auto {
    flex: 1;
    /* 第二列自动填充剩余空间 */
}










body {
    overflow-x: hidden;
    background-color: #FFF;
}



main {

    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 16px;
}

section {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    padding: 160px 0 600px 0;

    width: 100%;
    border-radius: 32px 32px 0 0;
    margin: -480px 0 0 0;
    z-index: 0;

}

.section.bytedance-secondary.horizontal-scroll {
    padding-top: 0;
    padding-bottom: 256px;
    display: block;
    overflow: visible;
}

.section.bytedance-secondary.horizontal-scroll {
    padding-top: 0;
    padding-bottom: 256px;
    display: block;
    overflow: visible;
}

.horizontal-scroll-wrapper {
    width: 100%;
    padding-bottom: 100vh;
}

.horizontal-scroll-height {
    width: 100%;
    height: 200vw;
}

.horizontal-scroll-camera {
    justify-content: flex-start;
    align-items: stretch;
    width: 100%;
    height: 100vh;
    margin-bottom: -100vh;
    display: flex;
    position: sticky;
    top: 0;
    overflow: hidden;
}
.horizontal-scroll-content {
    flex: none;
    justify-content: flex-start;
    align-items: center;
    height: 100vh;
    margin-right: -100vw;
    display: flex;
}
.horizontal-spacing.start {
    width: 50vw;
}


.horizontal-spacing {
    flex: none;
    height: 100%;
}
.horizontal-spacing._25vw {
    width: 20vw;
    max-width: 400px;
}
.horizontal-spacing.end {
    width: 50vw;
    margin-left: -240px;
}

.horizontal-scroll-container {
    z-index: 3;
    flex: none;
    width: 480px;
    position: relative;
}

footer {
    border-radius: 32px;
    padding: 96px 0;

    width: 100%;
    margin: -64px 0 0 0;
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: #f0f0f0;
    border-radius: 32px 32px 0 0;
}



nav {
    position: fixed;
    backdrop-filter: blur(32px);
    -webkit-backdrop-filter: blur(32px);

    z-index: 1000;

}




.custom-button {
   font-weight: 600;
    color: rgba(0, 0, 0, 0.8); 
    font-size: 18px;
}




.default-theme {
    color: rgba(0, 0, 0, 0.9);
    background-color: #FFF;
}








#navbar {
    position: fixed;
    /* 固定在顶部 */
    top: 0;
    left: 0;
    right: 0;
    transition: all 0.5s ease;
    /* 平滑过渡 */
    z-index: 1000;
    /* 确保在其他内容之上 */
}

#bottom-navbar {
    position: fixed;
    backdrop-filter: blur(32px);
    -webkit-backdrop-filter: blur(32px);
    bottom: 0;
    /* 固定在底部 */
    left: 0;
    right: 0;
    transition: all 0.5s ease;
    /* 平滑过渡 */
    z-index: 1000;
    /* 确保在其他内容之上 */
}


.hidden-bottom {
    transform: translateY(100%);
    /* 向下移动隐藏 */
}









.scrolled {
    background-color: rgba(255, 255, 255, 0.5);
    /* 滚动后变为半透明白色 */
}

.hidden {
    transform: translateY(-100%);
    /* 向上移动隐藏 */
}

.nav-box {
    display: flex;
    justify-content: space-between;
    align-items: center;
    width: 1080px;
    margin: 4px auto;
}

.nav-left {
    display: flex;
    align-items: center;
    cursor: pointer;
}

.nav-right {
    display: flex;
    align-items: center;
    gap: 8px;
}

:root {
    --button-border-color: rgba(0, 0, 0, 0.1);
    --button-hover-border-color: rgba(0, 0, 0, 0.10);
    color: rgba(0, 0, 0, 0.4);
}




.light-mode {
    --button-border-color: rgba(255, 255, 255, 0.2);
    --button-hover-border-color: rgba(255, 255, 255, 0.20);
    color: rgba(255, 255, 255, 0.6);
}






.button-ghost {
    padding: 16px 24px;
    border-radius: 32px;
    cursor: pointer;
    color: rgba(0, 0, 0, 0.4);
    order: none;
    /* 默认状态下没有边框 */
    text-decoration: none;
    border: none;
    border: 2px solid transparent;
    overflow: hidden;
    transition: all 0.3s ease;

    font-size: 18px;
    font-weight: 600;

}

.button-ghost:hover,
.button-ghost.active {
    color: rgba(0, 0, 0, 0.8);
    background-color: rgba(0, 0, 0, 0.05);
    transform: none;
}

.button-ghost.active:hover {
    border: 2px solid rgba(0, 0, 0, 0.10);
}

.button-ghost.footer {
    padding: 2px 8px;
    font-size: 16px;
}

.button-ghost.nav {
    padding: 4px 8px;
    font-size: 14px;
}

.button-ghost.active {
    color: rgba(0, 0, 0, 0.8);
    /* 活动状态的文字颜色 */
    background-color: rgba(0, 0, 0, 0.05);
    /* 活动状态的背景颜色 */
}

.button-text {
    color: inherit;
    text-decoration: underline;
    padding: 0;
    margin: 0;
    display: inline;

}






.button-outline {
    display: flex;
    /* 使用 Flexbox 布局 */
    align-items: center;
    /* 垂直居中 */
    justify-content: center;
    /* 水平居中 */
    border: 2px solid var(--button-border-color);
    font-size: 18px;
    line-height: 26px;
}

.button-outline::after {
    border: 2px solid transparent;
}

.button-outline.light-mode {
    border: 2px solid var(--button-border-color);
}









a {
    display: flex;
    flex-direction: row;
    gap: 8px;
    align-items: center;
    justify-content: center;
    padding: 16px 32px;
    border-radius: 32px;
    cursor: pointer;
    background-color: var(--button-bg-color);
    transition: all 0.3s ease;
    position: relative;
    text-decoration: none;
}

a::after {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    border-radius: inherit;

    transition: all 0.3s ease;
}

a:hover {
    transform: scale(0.98);
}

a:hover::after {
    border-color: var(--button-hover-border-color);
    border-width: 4px;
}

.paragraph-link {
    text-decoration: underline;
    color: rgba(0, 0, 0, 0.6);
    display: inline-block;
    flex-direction: row;
    gap: 8px;
    padding: 0;
    border-radius: 0;
    cursor: pointer;
    background-color: var(--button-bg-color);
    transition: all 0.1s ease;
    position: relative;
}

.paragraph-link:hover {
    color: white;
    transform: scale(1);
    background-color: rgba(0, 0, 0, 0.6);
}














.card {
    width: 100%;
    background-color: rgba(255, 255, 255, 0.7);
    backdrop-filter: blur(64px);
    -webkit-backdrop-filter: blur(64px);
    border-radius: 32px;
    overflow: hidden;
    opacity: 0;
    /* 初始透明度 */
    filter: blur(32px);
    /* 设置模糊程度 */
    transform: scale(0.8);
    /* 初始缩放 */
    transition: all 0.3s cubic-bezier(0.165, 0.84, 0.44, 1);
}

.card.visible {
    opacity: 1;
    /* 变为完全可见 */
    filter: blur(0);
    /* 移除模糊 */
    transform: scale(1);
    /* 变为正常大小 */
}

.card:hover {
    transform: scale(0.98);
}


.expandable-card {
    height: 480px;
    /* 初始高度，根据图片调整 */
    transition: all 0.5s cubic-bezier(0.165, 0.84, 0.44, 1);
}

.expandable-card:hover {
    height: 784px;
    /* 自动适应内容高度 */

}

.expandable-card .card-content {
    opacity: 0;
    padding: 64px 64px 64px 64px;
    transform: scale(0.7);
    filter: blur(10px);
    transition: opacity 0.5s ease, filter 0.8s ease, transform 0.5s ease;
}

.expandable-card:hover .card-content {
    opacity: 1;
    transform: scale(1);
    filter: blur(0);
}








.card-content {
    padding: 48px;
    align-items: flex-start;
    justify-content: flex-start;
    flex-shrink: 0;
}












.icon {
    display: flex;
    align-items: center;
    justify-content: center;
    width: 18px;
    height: 18px;
}

.square-48px {
    width: 48px;
    height: 48px;
}






.intro-container {
    display: flex;
    align-items: center;
    justify-content: center;
    width: 100%;
    padding: 200px 0;
    border-radius: 32px;
    overflow: hidden;

    background: linear-gradient(0deg, var(--Habpack-secondary, rgba(255, 133, 0, 0.08)) 0%, var(--Habpack-secondary, rgba(255, 133, 0, 0.08)) 100%), #FFF;
    background-repeat: no-repeat;
    /* 不重复 */
    background-position: center;
    /* 居中 */
    background-size: cover;
}






.section-content {
    display: flex;
    flex-direction: column;
    align-items: center;
    max-width: 960px;
    place-items: flex-start start;

}




.image-container {
    padding: 16px;
    object-fit: contain;
    box-sizing: content-box;

}

.height-480px {
    height: 480px;
    width: calc(960px - 48px);
}



.scroll-container {
    display: inline-flex;
    /* 使用 inline-flex 以便子元素横向排列 */
}














.divider {
    width: 100%;
    height: 2px;
    background-color: rgba(51, 51, 51, 0.1);
}

strong {
    font-weight: 600;
    color: rgba(51, 51, 51, 1);
}




.column-container {
    max-width: 1080px;
    display: flex;
    gap: 16px;
}

.column-container.table {
    display: flex;
    flex-direction: row;
    width: 100%;
    justify-content: space-between;
}

.column-container.split {
    max-width: 960px;
    grid-column-gap: 16px;


    grid-template-columns: 1fr 1fr 1fr;

    grid-auto-columns: 1fr;
    align-items: stretch;
    display: grid;
}


.main-split-content {
    max-width: 1080px;
    grid-column-gap: 24px;
    grid-row-gap: 24px;
    grid-template-rows: auto;
    grid-template-columns: 1fr 1fr;
    grid-auto-rows: 1fr;
    grid-auto-columns: 1fr;
    align-items: stretch;
    display: grid;
    justify-content: center;
}

.main-split-content-container {
    grid-column-gap: 24px;
    grid-row-gap: 24px;
    flex-direction: column;
    justify-content: flex-start;
    align-items: flex-start;
    display: flex;
}



.column {
    flex: 1;
    display: flex;
    flex-direction: column;
    gap: 16px;
}

.video-background {
    position: fixed;
    /* 固定在背景 */
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    overflow: hidden;
    /* 隐藏溢出部分 */
    z-index: -1;
    /* 确保在其他内容之下 */
}

.video-background video {
    min-width: 100%;
    /* 确保视频覆盖整个背景 */
    min-height: 100%;
    opacity: 0.1;
    object-fit: cover;
    /* 保持视频比例 */
}














#page-transition-overlay {
    position: fixed;
    left: 0;
    right: 0;
    top: 0;
    height: 100vh;
    /* 初始高度为视口高度 */
    width: 100%;
    background: linear-gradient(180deg, #FFF 0%, #E8E8E8 100%);
    z-index: 2000;
    transition: height 0.6s cubic-bezier(0.86, 0, 0.07, 1);
}

#page-transition-overlay.active {
    height: 0;
    /* 动画结束时高度变为 0 */
}

#page-transition-overlay.hidden {
    display: none;
    /* 动画结束后隐藏 */
}














video {
    object-fit: cover; 
}



.card-container {
    max-width: 960px;
    /* 设置最大宽度 */
    
    margin: 0 auto;
    background-color: rgba(255, 255, 255, 0.7);
    backdrop-filter: blur(64px);
    -webkit-backdrop-filter: blur(64px);
    border-radius: 32px;
    box-shadow: 0px 0px 32px 0px rgba(0, 0, 0, 0.05);
    border: 1px solid rgba(0, 0, 0, 0.05);
overflow: hidden;
    transition: all 0.3s cubic-bezier(0.165, 0.84, 0.44, 1);
    flex-shrink: 0;
}


.card-container:hover {
    transform: scale(0.98);
}




.scrollable-horizontal {
    display: flex;
    

    gap: 16px;
    position: relative;
    transition-property: transform;

    touch-action: pan-y;
    user-select: none;

    transition: scroll-left 0.5s cubic-bezier(0.165, 0.84, 0.44, 1);

}

.scrollable-horizontal:hover {
    cursor: grab;
    user-select: none;
}

#scrollable-content {
    overflow: hidden;
    /* 允许横向滚动 */
    width: 100%;
    padding: 32px;
}



.slider-faded-overlay-left {
    z-index: 5;
    background-image: linear-gradient(90deg, #f7f7f7, #f7f7f700);
    width: 12rem;
    position: absolute;
    inset: 0% auto 0% 0%;
}

.slider-faded-overlay-right {
    z-index: 5;
    background-image: linear-gradient(90deg, #f7f7f700, #f7f7f7);
    width: 12rem;
    position: absolute;
    top: 0%;
    bottom: 0%;
    right: 0%;
}




.solution-autoscrolldiv-wrapper {
    width: 100%;
    overflow: hidden;
}


.solution-autoscrolldiv {
    overflow: hidden;
    position: relative;
    display: flex;
    animation: slide 8s infinite;
    width: 200%;
    padding: 32px;
    /* 两倍宽度，因为有两张图片 */
}

.slide {
    display: flex;
    flex-direction: column;
    align-items: center;
    width: 50%;
    /* 每个 slide 占 50% 宽度 */
}

@keyframes slide {

    0%,
    41.66% {
        transform: translateX(0);
    }

    50%,
    91.66% {
        transform: translateX(-50%);
    }

    100% {
        transform: translateX(0);
    }
}


.title-container {
    display: flex;
    align-items: flex-start;
    width: 100%;
}






.scroll-reveal {
    transform: translateY(4%);
    /* 初始状态 */
    transition: transform 0.6s cubic-bezier(0.165, 0.84, 0.44, 1);
    /* 过渡效果 */
}

.scroll-reveal.revealed {
    transform: translateY(0);
    /* 滚动到视口时的状态 */
}










/*Accordion*/


.main-content-container {
    margin: 0;
    width: 100%;
    
}

.expandable-button {
    display: flex;
    flex-direction: column;
    /* 保持与 a 的样式一致 */

    align-items: center;
    justify-content: center;
    padding:16px 24px 0 24px;
    border-radius: 32px;
    cursor: pointer;
    background-color: var(--button-bg-color);
    transition: all 0.3s cubic-bezier(0.165, 0.84, 0.44, 1);
    position: relative;
    text-decoration: none;
    border: 2px solid var(--button-border-color);
    /* 从 .button-outline 中继承 */
    font-size: 18px;
    line-height: 26px;

 
}

.expandable-button::after {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    border-radius: inherit;
    border: 2px solid transparent;
    /* 从 .button-outline 中继承 */
    transition: all 0.3s cubic-bezier(0.165, 0.84, 0.44, 1);
}

.expandable-button.active {
    background-color: rgba(0, 0, 0, 0.1);
    /* 你可以根据需要设置颜色 */
}

.expandable-button:hover {
    transform: scale(0.98);
}

.expandable-button:hover::after {
    border-color: var(--button-hover-border-color);
    border-width: 4px;
}



.expandable-button-ghost {
    display: flex;
    flex-direction: column;
    /* 保持与 a 的样式一致 */

    align-items: center;
    justify-content: center;
    padding:0;
    cursor: pointer;

    transition: all 0.3s cubic-bezier(0.165, 0.84, 0.44, 1);
    position: relative;
    text-decoration: none;

    font-size: 18px;
    line-height: 26px;

 
}

.expandable-button-ghost::after {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    border-radius: inherit;
    /* 从 .button-outline 中继承 */
    transition: all 0.3s cubic-bezier(0.165, 0.84, 0.44, 1);
}










.accordion-content {
    max-height: 0; /* 初始高度为 0 */
    overflow: hidden; /* 隐藏超出部分 */
    transition: max-height 0.3s cubic-bezier(0.165, 0.84, 0.44, 1); /* 添加过渡效果 */
}

.accordion-content.active {
    max-height: 500px; /* 设置一个足够大的值以容纳内容 */
}


.accordion-image {
    width: 100%; /* 确保图片宽度适应容器 */
    display: block; /* 确保图片显示 */
    margin: 0 0 24px 0; /* 图片与文本之间的间距 */
    border-radius: 24px;
    background-color: white;
    padding: 16px 16px 8px 8px;
}


